* [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/
@ 2021-01-24 7:53 Benda XU
0 siblings, 0 replies; 9+ messages in thread
From: Benda XU @ 2021-01-24 7:53 UTC (permalink / raw
To: gentoo-commits
commit: eb75dfab9e7af24c606278dce28101b51f47f043
Author: Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 21 13:58:06 2021 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 07:51:01 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb75dfab
sci-libs/rocRAND: pseudo-random number generator.
Closes: https://github.com/gentoo/gentoo/pull/19147
Suggested-by: Yiyang Wu <xgreenlandforwyy <AT> gmail.com>
Suggested-by: Wilfried Holzke <gentoo <AT> holzke.net>
Bug: https://bugs.gentoo.org/650804
Bug: https://github.com/gentoo/gentoo/pull/10724
Package-Manager: Portage-3.0.12, Repoman-3.0.1
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>
sci-libs/rocRAND/Manifest | 1 +
sci-libs/rocRAND/metadata.xml | 19 +++++++++++++
sci-libs/rocRAND/rocRAND-4.0.0-r1.ebuild | 46 ++++++++++++++++++++++++++++++++
3 files changed, 66 insertions(+)
diff --git a/sci-libs/rocRAND/Manifest b/sci-libs/rocRAND/Manifest
new file mode 100644
index 00000000000..7059aa65034
--- /dev/null
+++ b/sci-libs/rocRAND/Manifest
@@ -0,0 +1 @@
+DIST rocRAND-4.0.0.tar.gz 3105585 BLAKE2B 0466d88c286290a9cd179fac61209051f7db5323457ccad9c5f0b579439662e1fe2b8951f85101c7c31bd058bc1448e839a19dc9a3a2d4ca42eb4e0b2baf4eb4 SHA512 c02bc32a9cf7660739ecf7ef99262fb14efa2c76afb3476105eedc4264dec987351ebd461c13c9e0aef9e640b42960b2a63295479664b83924cf0d5c34a157e8
diff --git a/sci-libs/rocRAND/metadata.xml b/sci-libs/rocRAND/metadata.xml
new file mode 100644
index 00000000000..77cd8b248d1
--- /dev/null
+++ b/sci-libs/rocRAND/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>candrews@gentoo.org</email>
+ <name>Craig Andrews</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>gentoo@holzke.net</email>
+ <name>Wilfried Holzke</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">ROCmSoftwarePlatform/rocRAND</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-libs/rocRAND/rocRAND-4.0.0-r1.ebuild b/sci-libs/rocRAND/rocRAND-4.0.0-r1.ebuild
new file mode 100644
index 00000000000..1a112d2a73d
--- /dev/null
+++ b/sci-libs/rocRAND/rocRAND-4.0.0-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Generate pseudo-random and quasi-random numbers"
+HOMEPAGE="https://github.com/ROCmSoftwarePlatform/rocRAND"
+SRC_URI="https://github.com/ROCmSoftwarePlatform/rocRAND/archive/rocm-${PV}.tar.gz -> rocRAND-${PV}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0"
+
+RDEPEND="=dev-util/hip-$(ver_cut 1-2)*"
+DEPEND="${RDEPEND}
+ =dev-util/rocm-cmake-$(ver_cut 1-2)*"
+
+S="${WORKDIR}/rocRAND-rocm-${PV}"
+
+src_prepare() {
+ sed -r -e "s:(hip|roc)rand/lib:\${CMAKE_INSTALL_LIBDIR}:" \
+ -e "s:(hip|roc)rand/include:include/\1rand:" \
+ -e "/INSTALL_RPATH/d" -i library/CMakeLists.txt || die
+
+ eapply_user
+ cmake_src_prepare
+}
+
+src_configure() {
+ # Grant access to the device
+ addwrite /dev/kfd
+ addpredict /dev/dri/
+
+ # Compiler to use
+ export CXX=hipcc
+
+ local mycmakeargs=(
+ -DBUILD_TEST=OFF
+ )
+
+ cmake_src_configure
+ # do not rerun cmake and the build process in src_install
+ sed '/RERUN/,+1d' -i "${BUILD_DIR}"/build.ninja || die
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/
@ 2021-10-10 16:57 Benda XU
0 siblings, 0 replies; 9+ messages in thread
From: Benda XU @ 2021-10-10 16:57 UTC (permalink / raw
To: gentoo-commits
commit: 8a61ae7a25a02b7517ed770ab3d4b8fc041fa47e
Author: YiyangWu <xgreenlandforwyy <AT> gmail <DOT> com>
AuthorDate: Thu Aug 26 05:51:22 2021 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Oct 10 16:57:36 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a61ae7a
sci-libs/rocRAND: bump version to 4.3.0
Enable benchmark and test.
Closes: https://github.com/gentoo/gentoo/pull/22113
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Yiyang Wu <xgreenlandforwyy <AT> gmail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>
sci-libs/rocRAND/Manifest | 1 +
sci-libs/rocRAND/metadata.xml | 3 ++
sci-libs/rocRAND/rocRAND-4.3.0.ebuild | 72 +++++++++++++++++++++++++++++++++++
3 files changed, 76 insertions(+)
diff --git a/sci-libs/rocRAND/Manifest b/sci-libs/rocRAND/Manifest
index 7059aa65034..b6eb6f2bfe4 100644
--- a/sci-libs/rocRAND/Manifest
+++ b/sci-libs/rocRAND/Manifest
@@ -1 +1,2 @@
DIST rocRAND-4.0.0.tar.gz 3105585 BLAKE2B 0466d88c286290a9cd179fac61209051f7db5323457ccad9c5f0b579439662e1fe2b8951f85101c7c31bd058bc1448e839a19dc9a3a2d4ca42eb4e0b2baf4eb4 SHA512 c02bc32a9cf7660739ecf7ef99262fb14efa2c76afb3476105eedc4264dec987351ebd461c13c9e0aef9e640b42960b2a63295479664b83924cf0d5c34a157e8
+DIST rocRAND-4.3.0.tar.gz 3107367 BLAKE2B 23cfac271c1cd4e4edcfd315aa775d4d62e6a50ffa3b9a3372d4ae427a02def52486e88b3f4f89daaa539f2653cf76c8d44afec70d8d916268bc9f27534bda4c SHA512 3eefeb55014a8ee681e1cee73e0e092bd29a81767e772e712f8f871e94380a772a433e93a59276b0cd5a364fc4e482186771809d67ebdab24b2e3020173f5e18
diff --git a/sci-libs/rocRAND/metadata.xml b/sci-libs/rocRAND/metadata.xml
index d9a40bdc1ec..dfea5b6e358 100644
--- a/sci-libs/rocRAND/metadata.xml
+++ b/sci-libs/rocRAND/metadata.xml
@@ -16,4 +16,7 @@
<upstream>
<remote-id type="github">ROCmSoftwarePlatform/rocRAND</remote-id>
</upstream>
+ <use>
+ <flag name="benchmark">Build and install benchmark programs.</flag>
+ </use>
</pkgmetadata>
diff --git a/sci-libs/rocRAND/rocRAND-4.3.0.ebuild b/sci-libs/rocRAND/rocRAND-4.3.0.ebuild
new file mode 100644
index 00000000000..926f784a024
--- /dev/null
+++ b/sci-libs/rocRAND/rocRAND-4.3.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Generate pseudo-random and quasi-random numbers"
+HOMEPAGE="https://github.com/ROCmSoftwarePlatform/rocRAND"
+SRC_URI="https://github.com/ROCmSoftwarePlatform/rocRAND/archive/rocm-${PV}.tar.gz -> rocRAND-${PV}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0/$(ver_cut 1-2)"
+IUSE="benchmark test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-util/hip:${SLOT}"
+DEPEND="${RDEPEND}
+>=dev-util/rocm-cmake-${PV}"
+BDEPEND="test? ( dev-cpp/gtest )"
+
+S="${WORKDIR}/rocRAND-rocm-${PV}"
+
+src_prepare() {
+ sed -r -e "s:(hip|roc)rand/lib:\${CMAKE_INSTALL_LIBDIR}:" \
+ -e "s:(hip|roc)rand/include:include/\1rand:" \
+ -e "/INSTALL_RPATH/d" -i library/CMakeLists.txt || die
+
+ # remove GIT dependency
+ sed -e "/find_package(Git/,+4d" -i cmake/Dependencies.cmake || die
+
+ eapply_user
+ cmake_src_prepare
+}
+
+src_configure() {
+ # Grant access to the device
+ addwrite /dev/kfd
+ addpredict /dev/dri/
+
+ # Compiler to use
+ export CXX=hipcc
+
+ local mycmakeargs=(
+ -DBUILD_TEST=$(usex test ON OFF)
+ -DBUILD_BENCHMARK=$(usex benchmark ON OFF)
+ -DCMAKE_SKIP_RPATH=TRUE
+ ${AMDGPU_TARGETS+-DAMDGPU_TARGETS="${AMDGPU_TARGETS}"}
+ -D__skip_rocmclang="ON" ## fix cmake-3.21 configuration issue caused by officialy support programming language "HIP"
+ )
+
+ cmake_src_configure
+ # do not rerun cmake and the build process in src_install
+ sed '/RERUN/,+1d' -i "${BUILD_DIR}"/build.ninja || die
+}
+
+src_test() {
+ # Grant access to the device
+ addwrite /dev/kfd
+ addwrite /dev/dri/
+ cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+
+ if use benchmark; then
+ cd "${BUILD_DIR}"/benchmark
+ dobin benchmark_rocrand_*
+ fi
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/
@ 2022-05-03 5:41 Benda XU
0 siblings, 0 replies; 9+ messages in thread
From: Benda XU @ 2022-05-03 5:41 UTC (permalink / raw
To: gentoo-commits
commit: d1a5e4f1cebf3de99434df6945d2586ba04e7b8c
Author: YiyangWu <xgreenlandforwyy <AT> gmail <DOT> com>
AuthorDate: Mon May 2 08:09:40 2022 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Tue May 3 05:41:34 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1a5e4f1
sci-libs/rocRAND: bump to version 5.0.2
Tests all passed on single Radeon RX 6700XT (gfx1031)
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Yiyang Wu <xgreenlandforwyy <AT> gmail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>
sci-libs/rocRAND/Manifest | 1 +
sci-libs/rocRAND/rocRAND-5.0.2.ebuild | 73 +++++++++++++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/sci-libs/rocRAND/Manifest b/sci-libs/rocRAND/Manifest
index b6eb6f2bfe43..1463032b13ee 100644
--- a/sci-libs/rocRAND/Manifest
+++ b/sci-libs/rocRAND/Manifest
@@ -1,2 +1,3 @@
DIST rocRAND-4.0.0.tar.gz 3105585 BLAKE2B 0466d88c286290a9cd179fac61209051f7db5323457ccad9c5f0b579439662e1fe2b8951f85101c7c31bd058bc1448e839a19dc9a3a2d4ca42eb4e0b2baf4eb4 SHA512 c02bc32a9cf7660739ecf7ef99262fb14efa2c76afb3476105eedc4264dec987351ebd461c13c9e0aef9e640b42960b2a63295479664b83924cf0d5c34a157e8
DIST rocRAND-4.3.0.tar.gz 3107367 BLAKE2B 23cfac271c1cd4e4edcfd315aa775d4d62e6a50ffa3b9a3372d4ae427a02def52486e88b3f4f89daaa539f2653cf76c8d44afec70d8d916268bc9f27534bda4c SHA512 3eefeb55014a8ee681e1cee73e0e092bd29a81767e772e712f8f871e94380a772a433e93a59276b0cd5a364fc4e482186771809d67ebdab24b2e3020173f5e18
+DIST rocRAND-5.0.2.tar.gz 11765778 BLAKE2B f93c3530fba2b416c5ef3d227ebe65f3ee36607e6b4e1d0584c410768b9d71f86c40468bfad0935afb8ca13c7c87b20ee23f1ea89bdedcb6b3149fd932cbdbe6 SHA512 c19beb0eef8dcf4e090e53cb544f21adb61f8c9cb463c74da1c9767b1d75539bb3e296e7b8a70dee517817d181abd8c713e22770a1a4f66363150a879cbb3e48
diff --git a/sci-libs/rocRAND/rocRAND-5.0.2.ebuild b/sci-libs/rocRAND/rocRAND-5.0.2.ebuild
new file mode 100644
index 000000000000..aa2a6bdbd3ec
--- /dev/null
+++ b/sci-libs/rocRAND/rocRAND-5.0.2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Generate pseudo-random and quasi-random numbers"
+HOMEPAGE="https://github.com/ROCmSoftwarePlatform/rocRAND"
+SRC_URI="https://github.com/ROCmSoftwarePlatform/rocRAND/archive/rocm-${PV}.tar.gz -> rocRAND-${PV}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0/$(ver_cut 1-2)"
+IUSE="benchmark test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-util/hip"
+DEPEND="${RDEPEND}
+dev-util/rocm-cmake
+test? ( dev-cpp/gtest )"
+BDEPEND="dev-util/rocm-cmake
+>=dev-util/cmake-3.22"
+
+S="${WORKDIR}/rocRAND-rocm-${PV}"
+
+src_prepare() {
+ sed -r -e "s:(hip|roc)rand/lib:\${CMAKE_INSTALL_LIBDIR}:" \
+ -e "s:(hip|roc)rand/include:include/\1rand:" \
+ -e "/INSTALL_RPATH/d" -i library/CMakeLists.txt || die
+
+ # remove GIT dependency
+ sed -e "/find_package(Git/,+4d" -i cmake/Dependencies.cmake || die
+
+ eapply_user
+ cmake_src_prepare
+}
+
+src_configure() {
+ # Grant access to the device
+ addwrite /dev/kfd
+ addpredict /dev/dri/
+
+ # Compiler to use
+ export CXX=hipcc
+
+ local mycmakeargs=(
+ -DBUILD_TEST=$(usex test ON OFF)
+ -DBUILD_BENCHMARK=$(usex benchmark ON OFF)
+ -DCMAKE_SKIP_RPATH=TRUE
+ ${AMDGPU_TARGETS+-DAMDGPU_TARGETS="${AMDGPU_TARGETS}"}
+ )
+
+ cmake_src_configure
+ # do not rerun cmake and the build process in src_install
+ sed '/RERUN/,+1d' -i "${BUILD_DIR}"/build.ninja || die
+}
+
+src_test() {
+ # Grant access to the device
+ addwrite /dev/kfd
+ addwrite /dev/dri/
+ LD_LIBRARY_PATH="${BUILD_DIR}/library" cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+
+ if use benchmark; then
+ cd "${BUILD_DIR}"/benchmark
+ dobin benchmark_rocrand_*
+ fi
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/
@ 2022-09-22 1:08 Benda XU
0 siblings, 0 replies; 9+ messages in thread
From: Benda XU @ 2022-09-22 1:08 UTC (permalink / raw
To: gentoo-commits
commit: c0c333b9f54346b6feb232d657d4fe92f3e6c08e
Author: Yiyang Wu <xgreenlandforwyy <AT> gmail <DOT> com>
AuthorDate: Thu Sep 1 07:28:09 2022 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Thu Sep 22 01:08:00 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0c333b9
sci-libs/rocRAND: add 5.1.3, using rocm.eclass
Signed-off-by: Yiyang Wu <xgreenlandforwyy <AT> gmail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>
sci-libs/rocRAND/Manifest | 2 +
sci-libs/rocRAND/rocRAND-5.1.3.ebuild | 77 +++++++++++++++++++++++++++++++++++
2 files changed, 79 insertions(+)
diff --git a/sci-libs/rocRAND/Manifest b/sci-libs/rocRAND/Manifest
index 1463032b13ee..e10c91878415 100644
--- a/sci-libs/rocRAND/Manifest
+++ b/sci-libs/rocRAND/Manifest
@@ -1,3 +1,5 @@
+DIST hipRAND-de941a7eb9ede2a862d719cd3ca23234a3692d07.tar.gz 80820 BLAKE2B f2894187455cf1da70c486e9efc336a01dc53589c56afe994858b2344c1e74e8d35260f70ad9cd80c5da1103dd9e98da6f5f2bf8e1ddf97023effc8a434a76ce SHA512 cdc70799ddca456c37c2a65875b98acff74800aa2b4f28d77b27c38c32428dd5edb2837bf88bfb6fcc32bdae7f2b27f1b547831bad98101b04959b7ba6b74a85
DIST rocRAND-4.0.0.tar.gz 3105585 BLAKE2B 0466d88c286290a9cd179fac61209051f7db5323457ccad9c5f0b579439662e1fe2b8951f85101c7c31bd058bc1448e839a19dc9a3a2d4ca42eb4e0b2baf4eb4 SHA512 c02bc32a9cf7660739ecf7ef99262fb14efa2c76afb3476105eedc4264dec987351ebd461c13c9e0aef9e640b42960b2a63295479664b83924cf0d5c34a157e8
DIST rocRAND-4.3.0.tar.gz 3107367 BLAKE2B 23cfac271c1cd4e4edcfd315aa775d4d62e6a50ffa3b9a3372d4ae427a02def52486e88b3f4f89daaa539f2653cf76c8d44afec70d8d916268bc9f27534bda4c SHA512 3eefeb55014a8ee681e1cee73e0e092bd29a81767e772e712f8f871e94380a772a433e93a59276b0cd5a364fc4e482186771809d67ebdab24b2e3020173f5e18
DIST rocRAND-5.0.2.tar.gz 11765778 BLAKE2B f93c3530fba2b416c5ef3d227ebe65f3ee36607e6b4e1d0584c410768b9d71f86c40468bfad0935afb8ca13c7c87b20ee23f1ea89bdedcb6b3149fd932cbdbe6 SHA512 c19beb0eef8dcf4e090e53cb544f21adb61f8c9cb463c74da1c9767b1d75539bb3e296e7b8a70dee517817d181abd8c713e22770a1a4f66363150a879cbb3e48
+DIST rocRAND-5.1.3.tar.gz 11729425 BLAKE2B f61aaedb7b72ceba3868a2069c93db1e2cd88a7a0188a9d5a33f520af3b42235c0dca62495460fd5e7abbca5fe7acc01acfdc90e53ae9a6e45128df5da472f49 SHA512 12859e52b79e40fcd1fb97d0915c191bbbc24e31e00aac4dbeecb625f9978a00ece3d7a42d0f9d37516031c1fbeb66e14dcd476ea83fe32fb13e0dd5c3964a28
diff --git a/sci-libs/rocRAND/rocRAND-5.1.3.ebuild b/sci-libs/rocRAND/rocRAND-5.1.3.ebuild
new file mode 100644
index 000000000000..26ca0c5042b1
--- /dev/null
+++ b/sci-libs/rocRAND/rocRAND-5.1.3.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ROCM_VERSION=${PV}
+
+inherit cmake rocm
+
+DESCRIPTION="Generate pseudo-random and quasi-random numbers"
+HOMEPAGE="https://github.com/ROCmSoftwarePlatform/rocRAND"
+HIPRAND_COMMIT_HASH=de941a7eb9ede2a862d719cd3ca23234a3692d07
+SRC_URI="https://github.com/ROCmSoftwarePlatform/${PN}/archive/rocm-${PV}.tar.gz -> ${P}.tar.gz
+https://github.com/ROCmSoftwarePlatform/hipRAND/archive/${HIPRAND_COMMIT_HASH}.tar.gz -> hipRAND-${HIPRAND_COMMIT_HASH}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0/$(ver_cut 1-2)"
+IUSE="benchmark test"
+REQUIRED_USE="${ROCM_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-util/hip"
+DEPEND="${RDEPEND}
+dev-util/rocm-cmake
+test? ( dev-cpp/gtest )"
+BDEPEND="dev-util/rocm-cmake
+>=dev-util/cmake-3.22"
+
+S="${WORKDIR}/rocRAND-rocm-${PV}"
+
+src_prepare() {
+ rmdir hipRAND || die
+ mv -v ../hipRAND-${HIPRAND_COMMIT_HASH} hipRAND || die
+ # change installed include and lib dir, and avoid symlink overwrite the installed headers
+ # avoid setting RPATH
+ sed -r -e "s:(hip|roc)rand/lib:\${CMAKE_INSTALL_LIBDIR}:" \
+ -e "s:(hip|roc)rand/include:include/\1rand:" \
+ -e '/\$\{INSTALL_SYMLINK_COMMAND\}/d' \
+ -e "/INSTALL_RPATH/d" -i library/CMakeLists.txt || die
+
+ # remove GIT dependency
+ sed -e "/find_package(Git/,+4d" -i cmake/Dependencies.cmake || die
+
+ eapply_user
+ cmake_src_prepare
+}
+
+src_configure() {
+ addpredict /dev/kfd
+ addpredict /dev/dri/
+
+ local mycmakeargs=(
+ -DCMAKE_SKIP_RPATH=On
+ -DAMDGPU_TARGETS="$(get_amdgpu_flags)"
+ -DBUILD_HIPRAND=ON
+ -DBUILD_TEST=$(usex test ON OFF)
+ -DBUILD_BENCHMARK=$(usex benchmark ON OFF)
+ )
+
+ CXX=hipcc cmake_src_configure
+}
+
+src_test() {
+ check_amdgpu
+ export LD_LIBRARY_PATH="${BUILD_DIR}/library"
+ MAKEOPTS="-j1" cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+
+ if use benchmark; then
+ cd "${BUILD_DIR}"/benchmark
+ dobin benchmark_rocrand_*
+ fi
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/
@ 2022-12-19 14:00 Andreas Sturmlechner
0 siblings, 0 replies; 9+ messages in thread
From: Andreas Sturmlechner @ 2022-12-19 14:00 UTC (permalink / raw
To: gentoo-commits
commit: 4d2b8e542f01038a0785e56d23eef5861ae71a8f
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 18 11:29:24 2022 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Dec 19 14:00:04 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d2b8e54
sci-libs/rocRAND: drop 4.0.0-r1, 4.3.0-r1
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
sci-libs/rocRAND/Manifest | 2 -
sci-libs/rocRAND/rocRAND-4.0.0-r1.ebuild | 46 --------------------
sci-libs/rocRAND/rocRAND-4.3.0-r1.ebuild | 72 --------------------------------
3 files changed, 120 deletions(-)
diff --git a/sci-libs/rocRAND/Manifest b/sci-libs/rocRAND/Manifest
index e10c91878415..c26b309dd23b 100644
--- a/sci-libs/rocRAND/Manifest
+++ b/sci-libs/rocRAND/Manifest
@@ -1,5 +1,3 @@
DIST hipRAND-de941a7eb9ede2a862d719cd3ca23234a3692d07.tar.gz 80820 BLAKE2B f2894187455cf1da70c486e9efc336a01dc53589c56afe994858b2344c1e74e8d35260f70ad9cd80c5da1103dd9e98da6f5f2bf8e1ddf97023effc8a434a76ce SHA512 cdc70799ddca456c37c2a65875b98acff74800aa2b4f28d77b27c38c32428dd5edb2837bf88bfb6fcc32bdae7f2b27f1b547831bad98101b04959b7ba6b74a85
-DIST rocRAND-4.0.0.tar.gz 3105585 BLAKE2B 0466d88c286290a9cd179fac61209051f7db5323457ccad9c5f0b579439662e1fe2b8951f85101c7c31bd058bc1448e839a19dc9a3a2d4ca42eb4e0b2baf4eb4 SHA512 c02bc32a9cf7660739ecf7ef99262fb14efa2c76afb3476105eedc4264dec987351ebd461c13c9e0aef9e640b42960b2a63295479664b83924cf0d5c34a157e8
-DIST rocRAND-4.3.0.tar.gz 3107367 BLAKE2B 23cfac271c1cd4e4edcfd315aa775d4d62e6a50ffa3b9a3372d4ae427a02def52486e88b3f4f89daaa539f2653cf76c8d44afec70d8d916268bc9f27534bda4c SHA512 3eefeb55014a8ee681e1cee73e0e092bd29a81767e772e712f8f871e94380a772a433e93a59276b0cd5a364fc4e482186771809d67ebdab24b2e3020173f5e18
DIST rocRAND-5.0.2.tar.gz 11765778 BLAKE2B f93c3530fba2b416c5ef3d227ebe65f3ee36607e6b4e1d0584c410768b9d71f86c40468bfad0935afb8ca13c7c87b20ee23f1ea89bdedcb6b3149fd932cbdbe6 SHA512 c19beb0eef8dcf4e090e53cb544f21adb61f8c9cb463c74da1c9767b1d75539bb3e296e7b8a70dee517817d181abd8c713e22770a1a4f66363150a879cbb3e48
DIST rocRAND-5.1.3.tar.gz 11729425 BLAKE2B f61aaedb7b72ceba3868a2069c93db1e2cd88a7a0188a9d5a33f520af3b42235c0dca62495460fd5e7abbca5fe7acc01acfdc90e53ae9a6e45128df5da472f49 SHA512 12859e52b79e40fcd1fb97d0915c191bbbc24e31e00aac4dbeecb625f9978a00ece3d7a42d0f9d37516031c1fbeb66e14dcd476ea83fe32fb13e0dd5c3964a28
diff --git a/sci-libs/rocRAND/rocRAND-4.0.0-r1.ebuild b/sci-libs/rocRAND/rocRAND-4.0.0-r1.ebuild
deleted file mode 100644
index 1a112d2a73d1..000000000000
--- a/sci-libs/rocRAND/rocRAND-4.0.0-r1.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-DESCRIPTION="Generate pseudo-random and quasi-random numbers"
-HOMEPAGE="https://github.com/ROCmSoftwarePlatform/rocRAND"
-SRC_URI="https://github.com/ROCmSoftwarePlatform/rocRAND/archive/rocm-${PV}.tar.gz -> rocRAND-${PV}.tar.gz"
-
-LICENSE="MIT"
-KEYWORDS="~amd64"
-SLOT="0"
-
-RDEPEND="=dev-util/hip-$(ver_cut 1-2)*"
-DEPEND="${RDEPEND}
- =dev-util/rocm-cmake-$(ver_cut 1-2)*"
-
-S="${WORKDIR}/rocRAND-rocm-${PV}"
-
-src_prepare() {
- sed -r -e "s:(hip|roc)rand/lib:\${CMAKE_INSTALL_LIBDIR}:" \
- -e "s:(hip|roc)rand/include:include/\1rand:" \
- -e "/INSTALL_RPATH/d" -i library/CMakeLists.txt || die
-
- eapply_user
- cmake_src_prepare
-}
-
-src_configure() {
- # Grant access to the device
- addwrite /dev/kfd
- addpredict /dev/dri/
-
- # Compiler to use
- export CXX=hipcc
-
- local mycmakeargs=(
- -DBUILD_TEST=OFF
- )
-
- cmake_src_configure
- # do not rerun cmake and the build process in src_install
- sed '/RERUN/,+1d' -i "${BUILD_DIR}"/build.ninja || die
-}
diff --git a/sci-libs/rocRAND/rocRAND-4.3.0-r1.ebuild b/sci-libs/rocRAND/rocRAND-4.3.0-r1.ebuild
deleted file mode 100644
index 074ee2912a97..000000000000
--- a/sci-libs/rocRAND/rocRAND-4.3.0-r1.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-DESCRIPTION="Generate pseudo-random and quasi-random numbers"
-HOMEPAGE="https://github.com/ROCmSoftwarePlatform/rocRAND"
-SRC_URI="https://github.com/ROCmSoftwarePlatform/rocRAND/archive/rocm-${PV}.tar.gz -> rocRAND-${PV}.tar.gz"
-
-LICENSE="MIT"
-KEYWORDS="~amd64"
-SLOT="0/$(ver_cut 1-2)"
-IUSE="benchmark test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="dev-util/hip"
-DEPEND="${RDEPEND}
->=dev-util/rocm-cmake-${PV}"
-BDEPEND="test? ( dev-cpp/gtest )"
-
-S="${WORKDIR}/rocRAND-rocm-${PV}"
-
-src_prepare() {
- sed -r -e "s:(hip|roc)rand/lib:\${CMAKE_INSTALL_LIBDIR}:" \
- -e "s:(hip|roc)rand/include:include/\1rand:" \
- -e "/INSTALL_RPATH/d" -i library/CMakeLists.txt || die
-
- # remove GIT dependency
- sed -e "/find_package(Git/,+4d" -i cmake/Dependencies.cmake || die
-
- eapply_user
- cmake_src_prepare
-}
-
-src_configure() {
- # Grant access to the device
- addwrite /dev/kfd
- addpredict /dev/dri/
-
- # Compiler to use
- export CXX=hipcc
-
- local mycmakeargs=(
- -DBUILD_TEST=$(usex test ON OFF)
- -DBUILD_BENCHMARK=$(usex benchmark ON OFF)
- -DCMAKE_SKIP_RPATH=TRUE
- ${AMDGPU_TARGETS+-DAMDGPU_TARGETS="${AMDGPU_TARGETS}"}
- -D__skip_rocmclang="ON" ## fix cmake-3.21 configuration issue caused by officialy support programming language "HIP"
- )
-
- cmake_src_configure
- # do not rerun cmake and the build process in src_install
- sed '/RERUN/,+1d' -i "${BUILD_DIR}"/build.ninja || die
-}
-
-src_test() {
- # Grant access to the device
- addwrite /dev/kfd
- addwrite /dev/dri/
- cmake_src_test
-}
-
-src_install() {
- cmake_src_install
-
- if use benchmark; then
- cd "${BUILD_DIR}"/benchmark
- dobin benchmark_rocrand_*
- fi
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/
@ 2023-02-01 9:53 Andreas Sturmlechner
0 siblings, 0 replies; 9+ messages in thread
From: Andreas Sturmlechner @ 2023-02-01 9:53 UTC (permalink / raw
To: gentoo-commits
commit: 0cb0fddc5b08bdc7dad1c31993941e6219482b2b
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 24 22:21:48 2023 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Feb 1 09:52:54 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0cb0fddc
sci-libs/rocRAND: drop 5.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
sci-libs/rocRAND/Manifest | 1 -
sci-libs/rocRAND/rocRAND-5.0.2.ebuild | 73 -----------------------------------
2 files changed, 74 deletions(-)
diff --git a/sci-libs/rocRAND/Manifest b/sci-libs/rocRAND/Manifest
index c26b309dd23b..0016770f25d1 100644
--- a/sci-libs/rocRAND/Manifest
+++ b/sci-libs/rocRAND/Manifest
@@ -1,3 +1,2 @@
DIST hipRAND-de941a7eb9ede2a862d719cd3ca23234a3692d07.tar.gz 80820 BLAKE2B f2894187455cf1da70c486e9efc336a01dc53589c56afe994858b2344c1e74e8d35260f70ad9cd80c5da1103dd9e98da6f5f2bf8e1ddf97023effc8a434a76ce SHA512 cdc70799ddca456c37c2a65875b98acff74800aa2b4f28d77b27c38c32428dd5edb2837bf88bfb6fcc32bdae7f2b27f1b547831bad98101b04959b7ba6b74a85
-DIST rocRAND-5.0.2.tar.gz 11765778 BLAKE2B f93c3530fba2b416c5ef3d227ebe65f3ee36607e6b4e1d0584c410768b9d71f86c40468bfad0935afb8ca13c7c87b20ee23f1ea89bdedcb6b3149fd932cbdbe6 SHA512 c19beb0eef8dcf4e090e53cb544f21adb61f8c9cb463c74da1c9767b1d75539bb3e296e7b8a70dee517817d181abd8c713e22770a1a4f66363150a879cbb3e48
DIST rocRAND-5.1.3.tar.gz 11729425 BLAKE2B f61aaedb7b72ceba3868a2069c93db1e2cd88a7a0188a9d5a33f520af3b42235c0dca62495460fd5e7abbca5fe7acc01acfdc90e53ae9a6e45128df5da472f49 SHA512 12859e52b79e40fcd1fb97d0915c191bbbc24e31e00aac4dbeecb625f9978a00ece3d7a42d0f9d37516031c1fbeb66e14dcd476ea83fe32fb13e0dd5c3964a28
diff --git a/sci-libs/rocRAND/rocRAND-5.0.2.ebuild b/sci-libs/rocRAND/rocRAND-5.0.2.ebuild
deleted file mode 100644
index aa2a6bdbd3ec..000000000000
--- a/sci-libs/rocRAND/rocRAND-5.0.2.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake
-
-DESCRIPTION="Generate pseudo-random and quasi-random numbers"
-HOMEPAGE="https://github.com/ROCmSoftwarePlatform/rocRAND"
-SRC_URI="https://github.com/ROCmSoftwarePlatform/rocRAND/archive/rocm-${PV}.tar.gz -> rocRAND-${PV}.tar.gz"
-
-LICENSE="MIT"
-KEYWORDS="~amd64"
-SLOT="0/$(ver_cut 1-2)"
-IUSE="benchmark test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="dev-util/hip"
-DEPEND="${RDEPEND}
-dev-util/rocm-cmake
-test? ( dev-cpp/gtest )"
-BDEPEND="dev-util/rocm-cmake
->=dev-util/cmake-3.22"
-
-S="${WORKDIR}/rocRAND-rocm-${PV}"
-
-src_prepare() {
- sed -r -e "s:(hip|roc)rand/lib:\${CMAKE_INSTALL_LIBDIR}:" \
- -e "s:(hip|roc)rand/include:include/\1rand:" \
- -e "/INSTALL_RPATH/d" -i library/CMakeLists.txt || die
-
- # remove GIT dependency
- sed -e "/find_package(Git/,+4d" -i cmake/Dependencies.cmake || die
-
- eapply_user
- cmake_src_prepare
-}
-
-src_configure() {
- # Grant access to the device
- addwrite /dev/kfd
- addpredict /dev/dri/
-
- # Compiler to use
- export CXX=hipcc
-
- local mycmakeargs=(
- -DBUILD_TEST=$(usex test ON OFF)
- -DBUILD_BENCHMARK=$(usex benchmark ON OFF)
- -DCMAKE_SKIP_RPATH=TRUE
- ${AMDGPU_TARGETS+-DAMDGPU_TARGETS="${AMDGPU_TARGETS}"}
- )
-
- cmake_src_configure
- # do not rerun cmake and the build process in src_install
- sed '/RERUN/,+1d' -i "${BUILD_DIR}"/build.ninja || die
-}
-
-src_test() {
- # Grant access to the device
- addwrite /dev/kfd
- addwrite /dev/dri/
- LD_LIBRARY_PATH="${BUILD_DIR}/library" cmake_src_test
-}
-
-src_install() {
- cmake_src_install
-
- if use benchmark; then
- cd "${BUILD_DIR}"/benchmark
- dobin benchmark_rocrand_*
- fi
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/
@ 2023-07-05 18:15 Craig Andrews
0 siblings, 0 replies; 9+ messages in thread
From: Craig Andrews @ 2023-07-05 18:15 UTC (permalink / raw
To: gentoo-commits
commit: 25240f79dd6053095d5bb1dd4d67699807ed7335
Author: Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 5 18:11:55 2023 +0000
Commit: Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Wed Jul 5 18:15:18 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25240f79
sci-libs/rocRAND: drop myself as a maintainer
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>
sci-libs/rocRAND/metadata.xml | 4 ----
1 file changed, 4 deletions(-)
diff --git a/sci-libs/rocRAND/metadata.xml b/sci-libs/rocRAND/metadata.xml
index dfea5b6e3584..4add606d2dbe 100644
--- a/sci-libs/rocRAND/metadata.xml
+++ b/sci-libs/rocRAND/metadata.xml
@@ -5,10 +5,6 @@
<email>sci@gentoo.org</email>
<name>Gentoo Science Project</name>
</maintainer>
- <maintainer type="person">
- <email>candrews@gentoo.org</email>
- <name>Craig Andrews</name>
- </maintainer>
<maintainer type="person" proxied="yes">
<email>gentoo@holzke.net</email>
<name>Wilfried Holzke</name>
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/
@ 2023-11-19 16:32 Benda XU
0 siblings, 0 replies; 9+ messages in thread
From: Benda XU @ 2023-11-19 16:32 UTC (permalink / raw
To: gentoo-commits
commit: eaaa5dfd4055d05044e70c75714ef43d6206aa4e
Author: Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 19 16:21:05 2023 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Nov 19 16:32:17 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eaaa5dfd
sci-libs/rocRAND: add dev-cpp/benchmark dependency.
Closes: https://bugs.gentoo.org/913111
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>
sci-libs/rocRAND/{rocRAND-5.6.0.ebuild => rocRAND-5.6.0-r1.ebuild} | 7 ++++---
sci-libs/rocRAND/rocRAND-5.7.1.ebuild | 7 ++++---
2 files changed, 8 insertions(+), 6 deletions(-)
diff --git a/sci-libs/rocRAND/rocRAND-5.6.0.ebuild b/sci-libs/rocRAND/rocRAND-5.6.0-r1.ebuild
similarity index 92%
rename from sci-libs/rocRAND/rocRAND-5.6.0.ebuild
rename to sci-libs/rocRAND/rocRAND-5.6.0-r1.ebuild
index b7b4ac7cc950..29a49e44991e 100644
--- a/sci-libs/rocRAND/rocRAND-5.6.0.ebuild
+++ b/sci-libs/rocRAND/rocRAND-5.6.0-r1.ebuild
@@ -22,10 +22,11 @@ PATCHES=( "${FILESDIR}"/${PN}-5.4.2_stdint-gcc13.patch )
RDEPEND="dev-util/hip"
DEPEND="${RDEPEND}
-dev-util/rocm-cmake
-test? ( dev-cpp/gtest )"
+ dev-util/rocm-cmake
+ benchmark? ( dev-cpp/benchmark )
+ test? ( dev-cpp/gtest )"
BDEPEND="dev-util/rocm-cmake
->=dev-util/cmake-3.22"
+ >=dev-util/cmake-3.22"
S="${WORKDIR}/rocRAND-rocm-${PV}"
diff --git a/sci-libs/rocRAND/rocRAND-5.7.1.ebuild b/sci-libs/rocRAND/rocRAND-5.7.1.ebuild
index f2fc17ed6222..2a55cae507fe 100644
--- a/sci-libs/rocRAND/rocRAND-5.7.1.ebuild
+++ b/sci-libs/rocRAND/rocRAND-5.7.1.ebuild
@@ -26,10 +26,11 @@ PATCHES=(
RDEPEND="dev-util/hip"
DEPEND="${RDEPEND}
-dev-util/rocm-cmake
-test? ( dev-cpp/gtest )"
+ dev-util/rocm-cmake
+ benchmark? ( dev-cpp/benchmark )
+ test? ( dev-cpp/gtest )"
BDEPEND="dev-util/rocm-cmake
->=dev-util/cmake-3.22"
+ >=dev-util/cmake-3.22"
S="${WORKDIR}/rocRAND-rocm-${PV}"
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/
@ 2024-09-09 18:20 Sam James
0 siblings, 0 replies; 9+ messages in thread
From: Sam James @ 2024-09-09 18:20 UTC (permalink / raw
To: gentoo-commits
commit: 62bb5fbe5f59d08e4079caed6229ca9e95c20000
Author: Sv. Lockal <lockalsash <AT> gmail <DOT> com>
AuthorDate: Sat Jul 20 17:35:57 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Sep 9 18:15:18 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62bb5fbe
sci-libs/rocRAND: strip unsupported flags for potentially switched compiler
Bug: https://bugs.gentoo.org/936099
Signed-off-by: Sv. Lockal <lockalsash <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/rocRAND/rocRAND-6.1.1.ebuild | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/sci-libs/rocRAND/rocRAND-6.1.1.ebuild b/sci-libs/rocRAND/rocRAND-6.1.1.ebuild
index 1cfbcdbd04f3..e3b1aa20b634 100644
--- a/sci-libs/rocRAND/rocRAND-6.1.1.ebuild
+++ b/sci-libs/rocRAND/rocRAND-6.1.1.ebuild
@@ -33,6 +33,8 @@ BDEPEND="dev-build/rocm-cmake
>=dev-build/cmake-3.22"
src_configure() {
+ rocm_use_hipcc
+
local mycmakeargs=(
-DCMAKE_SKIP_RPATH=ON
-DAMDGPU_TARGETS="$(get_amdgpu_flags)"
@@ -42,7 +44,7 @@ src_configure() {
-DBUILD_BENCHMARK=$(usex benchmark ON OFF)
)
- CXX=hipcc cmake_src_configure
+ cmake_src_configure
}
src_test() {
^ permalink raw reply related [flat|nested] 9+ messages in thread
end of thread, other threads:[~2024-09-09 18:20 UTC | newest]
Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-02-01 9:53 [gentoo-commits] repo/gentoo:master commit in: sci-libs/rocRAND/ Andreas Sturmlechner
-- strict thread matches above, loose matches on Subject: below --
2024-09-09 18:20 Sam James
2023-11-19 16:32 Benda XU
2023-07-05 18:15 Craig Andrews
2022-12-19 14:00 Andreas Sturmlechner
2022-09-22 1:08 Benda XU
2022-05-03 5:41 Benda XU
2021-10-10 16:57 Benda XU
2021-01-24 7:53 Benda XU
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox